import { inject, injectable } from "tsyringe";
import { LpTtnEndDeviceUplinks } from "../models/lpTtnEndDeviceUplinks";
import { LpTtnEndDeviceUplinksRepository } from "../repositories/lpTtnEndDeviceUplinksRepository";

@injectable()
export class LpTtnEndDeviceUplinksService {
  constructor(
    @inject(LpTtnEndDeviceUplinksRepository)
    private repository: LpTtnEndDeviceUplinksRepository
  ) {}

  public async getAllUplinks() {
    return this.repository.findAll();
  }

  public async getUplinkById(id: string) {
    return this.repository.findById(id);
  }

  public async createUplink(data: Partial<LpTtnEndDeviceUplinks>) {
    return this.repository.create(data);
  }

  public async updateUplink(id: string, data: Partial<LpTtnEndDeviceUplinks>) {
    return this.repository.update(id, data);
  }

  public async deleteUplink(id: string) {
    return this.repository.delete(id);
  }
}
